{# Client Settings #}

{% include "consul-base-config.hcl.j2" %}

{## Node Role ##}
server = false

{## TLS ##}
tls {
  defaults {
    verify_incoming        = false
    verify_outgoing        = true
    verify_server_hostname = true
    ca_file                = "{{ consul_tls_certs_path }}/{{ consul_tls_ca_file }}"
  }
}

auto_encrypt = {
  tls = true
  ip_san = [ "{{ consul_bind_address }}" ]
}
